package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;


/**
 * @author tianhua
 * @time 2023/7/18
 * @Description 返回给前端的游戏每日复充数据对象实体
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameDataAgainDayVO {

    /**
     * 原(总量)
     */
    @ApiModelProperty(value = "原(总量)")
    private Long original;

    /**
     * 现(总量)
     */
    @ApiModelProperty(value = "现(总量)")
    private Long present;

    /**
     * 增(总量)
     */
    @ApiModelProperty(value = "增(总量)")
    private Long increase;

    /**
     * 移(总量)
     */
    @ApiModelProperty(value = "移(总量)")
    private Long decrease;

    /**
     * 比(总量)
     */
    @ApiModelProperty(value = "比(总量)")
    private BigDecimal rate;

    /**
     * 原(买量)
     */
    @ApiModelProperty(value = "原(买量)")
    private Long buyOriginal;

    /**
     * 现(买量)
     */
    @ApiModelProperty(value = "现(买量)")
    private Long buyPresent;

    /**
     * 增(买量)
     */
    @ApiModelProperty(value = "增(买量)")
    private Long buyIncrease;

    /**
     * 移(买量)
     */
    @ApiModelProperty(value = "移(买量)")
    private Long buyDecrease;

    /**
     * 比(买量)
     */
    @ApiModelProperty(value = "比(买量)")
    private BigDecimal buyRate;

    /**
     * 原(自然量)
     */
    @ApiModelProperty(value = "原(自然量)")
    private Long natureOriginal;

    /**
     * 现(自然量)
     */
    @ApiModelProperty(value = "现(自然量)")
    private Long naturePresent;

    /**
     * 增(自然量)
     */
    @ApiModelProperty(value = "增(自然量)")
    private Long natureIncrease;

    /**
     * 移(自然量)
     */
    @ApiModelProperty(value = "移(自然量)")
    private Long natureDecrease;

    /**
     * 比(自然量)
     */
    @ApiModelProperty(value = "比(自然量)")
    private BigDecimal natureRate;

}
