package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.GameDataAgainDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.GameDataDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.GameDataH5DTO;
import com.zanxiang.game.data.serve.pojo.dto.GameDataTotalDTO;
import com.zanxiang.game.data.serve.pojo.dto.GameDataWaterDTO;
import com.zanxiang.game.data.serve.pojo.vo.GameDataAgainDayVO;
import com.zanxiang.game.data.serve.pojo.vo.GameDataDayVO;
import com.zanxiang.game.data.serve.pojo.vo.GameDataH5VO;
import com.zanxiang.game.data.serve.pojo.vo.GameDataTotalVO;
import com.zanxiang.game.data.serve.pojo.vo.GameDataWaterVO;
import com.zanxiang.game.data.serve.utils.Page;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

public interface IGameDataService {

    /**
     * 游戏每日数据
     * @param dto
     * @return
     */
    Page<GameDataDayVO> getGameDataDay(GameDataDayDTO dto);

    /**
     * 游戏总数据
     * @param dto
     * @return
     */
    Page<GameDataTotalVO> getGameDataTotal(GameDataTotalDTO dto);

    /**
     * 游戏流水数据
     * @param dto
     * @return
     */
    Page<GameDataWaterVO> getGameDataWater(GameDataWaterDTO dto);

    /**
     * 游戏每日复充数据
     * @param dto
     * @return
     */
    Map<LocalDate, List<GameDataAgainDayVO>> getGameDataAgainDay(GameDataAgainDayDTO dto) throws Exception;


    Page<GameDataH5VO> getH5Recharge(GameDataH5DTO dto);
}
